Loading...
Searching...
No Matches
osmo_v110_decoded_frame Struct Reference

a 'decoded' representation of a single V.110 frame. More...

`#include <v110.h>`

## Data Fields

ubit_t | d_bits [MAX_D_BITS]
ubit_t | e_bits [MAX_E_BITS]
ubit_t | s_bits [MAX_S_BITS]
ubit_t | x_bits [MAX_X_BITS]

## Detailed Description

a 'decoded' representation of a single V.110 frame.

contains unpacket D, E, S and X bits

## Field Documentation

## d_bits

ubit_t osmo_v110_decoded_frame::d_bits[MAX_D_BITS]

Referenced by osmo_v110_decode_frame(), osmo_v110_encode_frame(), v110_adapt_1200_to_IR8000(), v110_adapt_2400_to_IR8000(), v110_adapt_600_to_IR8000(), v110_adapt_IR8000_to_1200(), v110_adapt_IR8000_to_2400(), v110_adapt_IR8000_to_600(), v110_adapt_IR_to_Nx12000(), v110_adapt_IR_to_Nx3600(), v110_adapt_IR_to_Nx4800(), v110_adapt_Nx12000_to_IR(), v110_adapt_Nx3600_to_IR(), v110_adapt_Nx4800_to_IR(), v110_df_d_bits_are(), and v110_ta_build_frame().

## e_bits

ubit_t osmo_v110_decoded_frame::e_bits[MAX_E_BITS]

Referenced by osmo_v110_decode_frame(), osmo_v110_encode_frame(), v110_adapt_1200_to_IR8000(), v110_adapt_2400_to_IR8000(), v110_adapt_600_to_IR8000(), v110_adapt_IR8000_to_1200(), v110_adapt_IR8000_to_2400(), v110_adapt_IR8000_to_600(), v110_adapt_IR_to_Nx12000(), v110_adapt_IR_to_Nx3600(), v110_adapt_IR_to_Nx4800(), v110_adapt_Nx12000_to_IR(), v110_adapt_Nx3600_to_IR(), v110_adapt_Nx4800_to_IR(), and v110_ta_build_frame().

## s_bits

ubit_t osmo_v110_decoded_frame::s_bits[MAX_S_BITS]

Referenced by osmo_v110_decode_frame(), osmo_v110_encode_frame(), v110_df_s_bits_are(), and v110_ta_build_frame().

## x_bits

ubit_t osmo_v110_decoded_frame::x_bits[MAX_X_BITS]

Referenced by osmo_v110_decode_frame(), osmo_v110_encode_frame(), v110_df_x_bits_are(), and v110_ta_build_frame().

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/v110.h